@import './header';
@import './mixins';
@import './reset';

body {
    font-family: 'Roboto', sans-serif;
}

.our_recent_posts {
    margin-top: 38px;
}

.heading {
    font-weight: 700;
    font-size: 16px;
    text-transform: uppercase;
    color: #4E4E4E;
}


.posts-container {
    margin-top: 23px;

    @include mq('desktop') {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
    }

    .posts {
        margin-top: 28px;

        @include mq('tablet') {
            display: flex;
            margin-bottom: 60px;

            &:last-child {
                display: none;
            }

            .post-info {
                margin-left: 20px;
                width: 53%;
                line-height: 22px;
            }
        }

        @include mq('desktop') {
            &:last-child {
                display: flex;
            }
        }

        .post-head {
            font-weight: 700;
            font-size: 14px;
            color: #4E4E4E;
            margin-top: 11px;
            margin-bottom: 10px;
        }

        .post-stats {
            font-weight: 400;
            font-size: 11px;
            color: #7C7C7C;
            margin-bottom: 28px;
        }

        .post-desctiption {
            font-weight: 400;
            font-size: 14px;
            color: #5C5C5C;
            display: none;

            @include mq('tablet') {
                display: block;
            }
        }
    }
}

.last_instagram_post {
    background-color: rgba(0, 0, 0, 0.03);

    &_image:nth-last-child(-n+3) {
        display: none;

        @include mq('tablet') {
            &:last-child {
                display: none;
            }
        }

        @include mq('desktop') {
            &:last-child {
                display: block;
            }
        }
    }


    @include mq('tablet') {


        .last_instagram_post_image_container {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
        }

        .last_instagram_post_image {
            width: 95%;
            display: block;
        }
    }

    @include mq('desktop') {

        .last_instagram_post_image_container {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }

        .last_instagram_post_image {
            width: 95%;
            display: block;
        }
    }


}

.heading-text-container {
    .heading-big-screen {
        display: none;
    }

    .heading-instagram-page {
        display: none;
    }

    @include mq('tablet') {
        & {
            display: flex;
            justify-content: space-between;
        }

        .heading-big-screen {
            display: block;
            margin-top: 47px;
            margin-bottom: 24px;
        }

        .heading-instagram-page {
            display: block;
            margin-top: 47px;
            margin-bottom: 24px;
        }

        .heading-small-screen {
            display: none;
        }

    }
}

.last_instagram_post_image {
    margin-top: 13px;
    margin-bottom: 42px;
}

.get_in_touch {
    background-color: #000;
    text-align: center;

    .heading-footer-part {
        font-weight: 700;
        font-size: 14px;
        color: #FEFEFE;
        text-transform: uppercase;
        padding-top: 38px;
        margin-bottom: 8px;
    }

    .footer-text {
        font-weight: 400;
        font-size: 12px;
        color: #B9B9B9;
        width: 80%;
        margin: 26px auto;
        line-height: 20px;
    }

    .contact {
        width: 60%;
        margin: 25px auto;
        padding-bottom: 47px;
    }


}